<#ibizinclude>
../@MACRO/LAYOUTPANEL_VIEW.template.ftl
</#ibizinclude>
// 基于 @VIEW/实体编辑视图/VIEW-BASE.vue.ftl 生成
<#ibizinclude>
../@MACRO/VIEW_HEADER-BASE.vue.ftl
</#ibizinclude>

<#assign self_content>
<#if view.getPSAppViewRefs?? && view.getPSAppViewRefs()??>

    /**
     * meditview9状态下发变量
     *
     * @memberof ${srfclassname('${view.name}')}Base
     */
    @Prop() public panelState?: Subject<ViewState>;

    /**
     * meditview9状态事件
     *
     * @public
     * @type {(Subscription | undefined)}
     * @memberof ${srfclassname('${view.name}')}Base
     */
    public panelStateEvent: Subscription | undefined;

    /**
     * 视图引用数据
     * 
     * @memberof ${srfclassname('${view.codeName}')}Base
     */
    public viewRefData:any = {
    <#list view.getPSAppViewRefs() as viewRef>
    <#if viewRef.getName?? && viewRef.getName()?? && viewRef.getRefPSAppView?? && viewRef.getRefPSAppView()??>
    <#assign refAppView = viewRef.getRefPSAppView() />
        "${viewRef.getName()}":{viewname:"${srffilepath2(refAppView.getCodeName())}",title:<#if refAppView.getCapPSLanguageRes?? && refAppView.getCapPSLanguageRes()??>this.$t('${refAppView.getCapPSLanguageRes().getLanResTag()}', '${refAppView.getCaption()}')<#t><#else>'${refAppView.getCaption()}'<#t></#if>, width: <#if refAppView.getWidth?? && refAppView.getWidth() gt 0>${refAppView.getWidth()?c}<#else>800</#if>, height: <#if refAppView.getHeight?? && refAppView.getHeight() gt 0>${refAppView.getHeight()?c}<#else>500</#if>}<#if viewRef_has_next>,</#if>
    </#if>
    </#list>
    };
</#if>
</#assign>

<#assign created_block>
if (this.panelState) {
    this.panelStateEvent = this.panelState.subscribe((res:any) => {
        if (Object.is(res.tag, 'meditviewpanel')) {
            if (Object.is(res.action, 'save')) {
                this.viewState.next({ tag:'form', action: 'save', data: res.data });
            }
            if (Object.is(res.action, 'remove')) {
                this.viewState.next({ tag:'form', action: 'remove', data: res.data });
            }
        }
    });
}
</#assign>
<#assign before_destroy_block>
    if (_this.panelStateEvent) {
        _this.panelStateEvent.unsubscribe();
    }
</#assign>
<#ibizinclude>
../@MACRO/VIEW_CONTENT-BASE.vue.ftl
</#ibizinclude>


<#ibizinclude>
../@MACRO/VIEW_BOTTOM-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW-BASE.style.ftl
</#ibizinclude>